    import {YArrayEvent} from 'yjs/src/Types/YArray/YArray.js'

public class | source

# YArrayEvent

#### Extends:

YEvent → YArrayEvent

#### Direct Subclass:

src/Types/YText/YText.js~YTextEvent

Event that describes the changes on a YArray

## Constructor Summary

Public Constructor
public | constructor () |

## Member Summary

Public Members
public get | addedElements : Set: * Child elements that were added in this transaction. |
public | remote : * |
public get | removedElements : Set: * Child elements that were removed in this transaction. |

## Inherited Summary

From class YEvent
public get | path : * Computes the path from `y` to the changed type. |
public | currentTarget : YType The current target on which the observe callback is called. |
public | target : YType The type on which this event was created on. |

## Public Constructors

### public constructor() source

#### Override:

YEvent#constructor

## Public Members

### public get addedElements: Set: * source

Child elements that were added in this transaction.

#### Return:

Set

### public remote: * source

### public get removedElements: Set: * source

Child elements that were removed in this transaction.

#### Return:

Set